import 'package:flutter/material.dart';
import 'package:flutter_kz_library/flutter_kz_library.dart';

import 'home/HomePage.dart';

class Routes extends StatefulWidget {
  @override
  _RoutesState createState() => _RoutesState();
}

class _RoutesState extends State<Routes> {
  final PageStorageBucket bucket = PageStorageBucket();
  final List<Widget> pages = [
    HomePage(
      key: PageStorageKey('HomePage'),
    ),
  ];
  int _currentIndex = 0;

  @override
  Widget build(BuildContext context) {

    return Scaffold(
        bottomNavigationBar: BubbleBottomBarWidget(
          currentIndex: _currentIndex,
          onSelectIndex: (index) => setState(() {
            _currentIndex = index;
          }),
          items: [

          ],
        )
    );
  }
}
